@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,400;1,700&display=swap');

* {
 box-sizing: border-box;
}

body {
 background-color: #000;
 font-family: 'Roboto', sans-serif;
 margin: 0;
 display: flex;
 flex-direction: column;
 align-items: center;
 justify-content: center;
 height: 100vh;
 overflow: hidden;
}

button {
 background-color: purple;
 color: #fff;
 border: 1px purple solid;
 font-size: 14px;
 text-transform: uppercase;
 letter-spacing: 2px;
 padding: 20px 30px;
 overflow: hidden;
 margin: 10px 0;
 position: relative;
}

button:focus {
 outline: none;
}

button .circle {
 position: absolute;
 background-color: #fff;
 width: 100px;
 height: 100px;
 border-radius: 50%;
 transform: translate(-50%, -50%) scale(0);
 animation: scale .5s ease-in-out;
}

@keyframes scale {
 to {
  transform: translate(-50%, -50%) scale(3);
  opacity: 0;
 }
}

